[lttng-dev] [PATCH lttng-tools 5/8] Fix: high throughput test: reset bw limit on sigterm

Mathieu Desnoyers mathieu.desnoyers at efficios.com
Wed Nov 19 16:40:29 EST 2014


Signed-off-by: Mathieu Desnoyers <mathieu.desnoyers at efficios.com>
---
 tests/regression/tools/streaming/test_high_throughput_limits | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/tests/regression/tools/streaming/test_high_throughput_limits b/tests/regression/tools/streaming/test_high_throughput_limits
index 8ed2ce5..9f75471 100755
--- a/tests/regression/tools/streaming/test_high_throughput_limits
+++ b/tests/regression/tools/streaming/test_high_throughput_limits
@@ -168,12 +168,14 @@ skip $isroot "Root access is needed to set bandwith limits. Skipping all tests."
 {
 
 	# Catch sigint and try to cleanup limits
+	trap interrupt_cleanup SIGTERM
 	trap interrupt_cleanup SIGINT
 
 	BW_LIMITS=(3200 1600 800 400 200 100 50 25)
 	for BW in ${BW_LIMITS[@]};
 	do
 		diag "Test high-throughput with bandwidth limit set to ${BW}kbits"
+
 		set_bw_limit $BW
 
 		start_lttng_sessiond
-- 
2.1.1




More information about the lttng-dev mailing list